=== modified file 'annotate/spanselector.py'
--- annotate/spanselector.py	2011-07-31 16:50:29 +0000
+++ annotate/spanselector.py	2011-08-12 19:58:53 +0000
@@ -48,9 +48,9 @@
         label = Gtk.Label(label="Highlighting spans:")
         label.show()
 
-        self.pack_start(label, expand=False, fill=True)
-        self.pack_start(self.combo, expand=False, fill=False)
-        self.pack_start(self.entry, expand=False, fill=False)
+        self.pack_start(label, False, True, True, 0)
+        self.pack_start(self.combo, False, False, True, 0)
+        self.pack_start(self.entry, False, False, True, 0)
 
     def set_to_oldest_span(self, span):
         """Set the span associated with the "to Oldest Revision" entry."""
@@ -178,8 +178,8 @@
 
         label = Gtk.Label(label="Days")
 
-        entry.pack_start(spin, expand=False, fill=False)
-        entry.pack_start(label, expand=False, fill=False)
+        entry.pack_start(spin, False, False, True, 0)
+        entry.pack_start(label, False, False, True, 0)
 
         return entry
 

=== modified file 'revisionview.py'
--- revisionview.py	2011-08-01 20:28:54 +0000
+++ revisionview.py	2011-08-12 19:58:53 +0000
@@ -547,7 +547,7 @@
                 button.add(image)
                 button.connect("clicked", self._show_clicked_cb,
                                self._revision.revision_id, revid)
-                hbox.pack_start(button, expand=False, fill=True)
+                hbox.pack_start(button, False, True, True, 0)
                 button.show()
 
             button = Gtk.Button()
@@ -559,7 +559,7 @@
                     lambda w, r: self.set_revision(
                         self._repository.get_revision(r)), revid)
             button.set_use_underline(False)
-            hbox.pack_start(button, expand=True, fill=True)
+            hbox.pack_start(button, True, True, True, 0)
             button.show_all()
 
     def _create_general(self):

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2011-07-31 16:50:29 +0000
+++ viz/branchwin.py	2011-08-12 19:58:53 +0000
@@ -122,9 +122,9 @@
         nav = self.construct_navigation()
         menubar = self.construct_menubar()
 
-        vbox.pack_start(menubar, expand=False, fill=True)
-        vbox.pack_start(nav, expand=False, fill=True)
-        vbox.pack_start(paned, expand=True, fill=True)
+        vbox.pack_start(menubar, False, True, True, 0)
+        vbox.pack_start(nav, False, True,True, 0)
+        vbox.pack_start(paned, True, True, True, 0)
         vbox.set_focus_child(paned)
 
 
@@ -561,7 +561,8 @@
 
         old = self.paned
         self.vbox.remove(old)
-        self.vbox.pack_start(self.construct_paned(, True, True, 0), expand=True, fill=True)
+        self.vbox.pack_start(
+            self.construct_paned(, True, True, 0), True, True, True, 0)
         self._make_diff_paned_nonzero_size()
         self._make_diff_nonzero_size()
 

